PHP 7.0 สิ้นสุดการ Support แล้ว (ในวันที่ 3 ธันวาคม 2561)

BySupport Dept

PHP 7.0 สิ้นสุดการ Support แล้ว (ในวันที่ 3 ธันวาคม 2561)

เรื่องใหญ่ที่ผู้ดูแลระบบเว็บต้องเตรียมพร้อมรับมือกันในเร็ว ๆ นี้คือ PHP 5.6 รุ่นสุดท้ายในซีรีส์ PHP 5.x จะหมดระยะซัพพอร์ตในวันที่ 31 ธันวาคม 2018

นั่นแปลว่าเมื่อขึ้นปี 2019 เป็นต้นไป PHP 5.x จะไม่มีแพตช์ความปลอดภัยอีกแล้ว หากมีช่องโหว่ใหม่ถูกค้นพบ ก็เป็นความเสี่ยงอย่างมากที่จะถูกโจมตี

โครงการ PHP พยายามจะหยุดการซัพพอร์ต PHP 5.x ตั้งแต่ปี 2017 แต่เนื่องจาก PHP 5.6 ยังเป็นเวอร์ชันที่ได้รับความนิยมสูงสุด จึงขยายเวลาให้มาจนถึงสิ้นปี 2018 ซึ่งเราใกล้เดินทางไปถึงจุดนั้นแล้ว

นอกจากนี้ PHP 7.0 จะหมดระยะซัพพอร์ตในวันที่ 3 ธันวาคม 2018 (3 ปีเต็มหลังออกในวันที่ 3 ธันวาคม 2015) ทำให้เหลือ PHP เวอร์ชันที่ซัพพอร์ตเพียง 2 รุ่นเท่านั้นคือ PHP 7.1 (ถึงเดือนธันวาคม 2019) และ PHP 7.2 (ถึงเดือนพฤศจิกายน 2020)

CMS ยอดนิยมอย่าง WordPress ยังสามารถทำงานได้บน PHP 5.2.4 ขึ้นไป แต่โครงการ WordPress เองก็แนะนำให้ใช้ PHP 7.2 แล้ว

ที่มา – PHPZDNet

No Description

About the author

Support Dept administrator